import request from '@/utils/request'

// 查询动作列表
export function listBehavior(query) {
  return request({
    url: '/mk/bo/behavior/list',
    method: 'get',
    params: query
  })
}

// 查询动作详细
export function getBehavior(behaviorId) {
  return request({
    url: '/mk/bo/behavior/' + behaviorId,
    method: 'get'
  })
}

// 新增动作
export function addBehavior(data) {
  return request({
    url: '/mk/bo/behavior',
    method: 'post',
    data: data,
    headers: {
      'Content-Type': 'multipart/form-data'
    }
  })
}

// 修改动作
export function updateBehavior(data) {
  return request({
    url: '/mk/bo/behavior',
    method: 'put',
    data: data,
    headers: {
      'Content-Type': 'multipart/form-data'
    }
  })
}

// 删除岗位
export function delBehavior(behaviorId) {
  return request({
    url: '/mk/bo/behavior/' + behaviorId,
    method: 'delete'
  })
}

// // 新增图片
// export function addPicture(data) {
//   console.log('data',data);
//   return request({
//     url: '/mk/bo/behavior/upload',
//     method: 'post',
//     data: data,
//     headers: {
//       'Content-Type': 'multipart/form-data'
//     }
//   })
// }